Bildiriş işləyiciləri
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Sətir | Axtarış stringi. |
| search_by | İstəyə bağlı Sətir | Axtardığınız sahə hansıdır. İcazə verilən dəyərlər: name. |
| is_enabled | İstəyə bağlı Boolean | |
| type | İstəyə bağlı Sətir | Axtardığınız sahə hansıdır. İcazə verilən dəyərlər: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | İstəyə bağlı Sətir | İcazə verilən dəyərlər: datetime, last_datetime |
| datetime_start | İstəyə bağlı Sətir | Nəticələri bu tarix və saatdan başlayaraq filtrləyin. Y-m-d H:i:s formatı. |
| datetime_end | İstəyə bağlı Sətir | Nəticələri bu tarix və saata qədər filtrləyin. Y-m-d H:i:s formatı. |
| order_by | İstəyə bağlı Sətir | Nəticələri hansı sahəyə görə sıralamaq olar. İcazə verilən dəyərlər: notification_handler_id, datetime, last_datetime, name. |
| order_type | İstəyə bağlı Sətir | Nəticələrin sıralanması. İcazə verilən dəyərlər: ASC artan sıralama üçün, DESC isə azalan sıralama üçün. |
| search | İstəyə bağlı Sətir | Axtarış stringi. |
| search_by | İstəyə bağlı Sətir | Axtardığınız sahə hansıdır. İcazə verilən dəyərlər: name. |
| is_enabled | İstəyə bağlı Boolean | |
| type | İstəyə bağlı Sətir | Axtardığınız sahə hansıdır. İcazə verilən dəyərlər: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | İstəyə bağlı Sətir | İcazə verilən dəyərlər: datetime, last_datetime |
| datetime_start | İstəyə bağlı Sətir | Nəticələri bu tarix və saatdan başlayaraq filtrləyin. Y-m-d H:i:s formatı. |
| datetime_end | İstəyə bağlı Sətir | Nəticələri bu tarix və saata qədər filtrləyin. Y-m-d H:i:s formatı. |
| order_by | İstəyə bağlı Sətir | Nəticələri hansı sahəyə görə sıralamaq olar. İcazə verilən dəyərlər: notification_handler_id, datetime, last_datetime, name. |
| order_type | İstəyə bağlı Sətir | Nəticələrin sıralanması. İcazə verilən dəyərlər: ASC artan sıralama üçün, DESC isə azalan sıralama üçün. |
| page | İstəyə bağlı Tam ədəd | Nəticələri istədiyiniz səhifə nömrəsi. Varsayılan 1-dir. |
| results_per_page | İstəyə bağlı Tam ədəd | Səhifədə neçə nəticə istədiyinizi seçin. İcazə verilən dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olaraq 25 dir. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:08",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:08",
}
}
POST https://tistos.com/api/notification-handlers
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | Tələb olunur Sətir | - |
| type | Tələb olunur Sətir | İcazə verilən dəyərlər: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| İstəyə bağlı Sətir | Mövcuddur: type = email E-poçt | |
| webhook | İstəyə bağlı Sətir | Mövcuddur: type = webhook Webhook URL |
| slack | İstəyə bağlı Sətir | Mövcuddur: type = slack Slack webhook URL |
| discord | İstəyə bağlı Sətir | Mövcuddur: type = discord Discord webhook URL |
| telegram | İstəyə bağlı Sətir | Mövcuddur: type = telegram Telegram API Token |
| telegram_chat_id | İstəyə bağlı Sətir | Mövcuddur: type = telegram Telegram Söhbət ID-si |
| microsoft_teams | İstəyə bağlı Sətir | Mövcuddur: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | İstəyə bağlı Sətir | Mövcuddur: type = google_chat Google Chat webhook URL |
| x_consumer_key | İstəyə bağlı Sətir | Mövcuddur: type = x Telegram API Token |
| x_consumer_secret | İstəyə bağlı Sətir | Mövcuddur: type = x Telegram API Token |
| x_access_token | İstəyə bağlı Sətir | Mövcuddur: type = x Telegram API Token |
| x_access_token_secret | İstəyə bağlı Sətir | Mövcuddur: type = x Telegram API Token |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | İstəyə bağlı Sətir | - |
| type | İstəyə bağlı Sətir | İcazə verilən dəyərlər: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| İstəyə bağlı Sətir | Mövcuddur: type = email E-poçt | |
| webhook | İstəyə bağlı Sətir | Mövcuddur: type = webhook Webhook URL |
| slack | İstəyə bağlı Sətir | Mövcuddur: type = slack Slack webhook URL |
| discord | İstəyə bağlı Sətir | Mövcuddur: type = discord Discord webhook URL |
| telegram | İstəyə bağlı Sətir | Mövcuddur: type = telegram Telegram API Token |
| telegram_chat_id | İstəyə bağlı Sətir | Mövcuddur: type = telegram Telegram Söhbət ID-si |
| microsoft_teams | İstəyə bağlı Sətir | Mövcuddur: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | İstəyə bağlı Sətir | Mövcuddur: type = google_chat Google Chat webhook URL |
| x_consumer_key | İstəyə bağlı Sətir | Mövcuddur: type = x Telegram API Token |
| x_consumer_secret | İstəyə bağlı Sətir | Mövcuddur: type = x Telegram API Token |
| x_access_token | İstəyə bağlı Sətir | Mövcuddur: type = x Telegram API Token |
| x_access_token_secret | İstəyə bağlı Sətir | Mövcuddur: type = x Telegram API Token |
| is_enabled | İstəyə bağlı Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \